"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
// eslint-disable-next-line @typescript-eslint/no-var-requires
const { version } = require("../package.json");
exports.default = (argv) => {
    const program = new commander_1.default.Command();
    let packageFile;
    program
        .version(`${version}`)
        .arguments("[packageFile]")
        .action((arg) => {
        packageFile = arg;
    })
        .option("-s, --strict", "strict mode")
        .option("-j, --json", "JSON output")
        .option("-c, --config", "inspect the config")
        .option("-f, --fix", "autofixing");
    program.parse(argv);
    const options = program.opts();
    const cliConfig = { packageFile };
    if (options.fix !== undefined) {
        cliConfig.fix = options.fix;
    }
    if (options.strict !== undefined) {
        cliConfig.strict = options.strict;
    }
    if (options.json !== undefined) {
        cliConfig.json = options.json;
    }
    if (options.config !== undefined) {
        cliConfig.config = options.config;
    }
    return cliConfig;
};
