"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const detect_indent_1 = __importDefault(require("detect-indent"));
const errors_1 = require("./errors");
class default_1 {
    constructor(path) {
        this.path = path;
        this.fileContents = fs_1.default.readFileSync(path, "utf-8");
        if (!this.fileContents) {
            throw new errors_1.PackageFileNotFoundError(path);
        }
        const fileParsed = JSON.parse(this.fileContents);
        if (!fileParsed.scripts) {
            fileParsed.scripts = {};
        }
        this.package = fileParsed;
        this.indent = (0, detect_indent_1.default)(this.fileContents);
    }
    get() {
        return this.package;
    }
    set(path, content) {
        this.package[path] = content;
        return this;
    }
    save() {
        const json = JSON.stringify(this.package, null, this.indent.indent);
        return fs_1.default.writeFileSync(this.path, json);
    }
}
exports.default = default_1;
