"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageFileNotFoundError = exports.ValidationFunctionInvalidError = exports.ConfigError = void 0;
class ConfigError extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, ConfigError.prototype);
    }
}
exports.ConfigError = ConfigError;
class ValidationFunctionInvalidError extends Error {
    constructor(name) {
        super(`Rule validation function is not a function (${name})`);
        Object.setPrototypeOf(this, ValidationFunctionInvalidError.prototype);
    }
}
exports.ValidationFunctionInvalidError = ValidationFunctionInvalidError;
class PackageFileNotFoundError extends Error {
    constructor(path) {
        super("package.json could not be found at this location: " + path);
        Object.setPrototypeOf(this, PackageFileNotFoundError.prototype);
    }
}
exports.PackageFileNotFoundError = PackageFileNotFoundError;
