"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortScripts = void 0;
const sortScripts = (scripts) => Object.entries(scripts)
    .sort((a, b) => {
    return a < b ? -1 : 1;
})
    .reduce((r, [k, v]) => (Object.assign(Object.assign({}, r), { [k]: v })), {});
exports.sortScripts = sortScripts;
exports.default = {
    name: "alphabetic-order",
    isObjectRule: true,
    message: "scripts must be in alphabetic order",
    validate: (scripts) => {
        const sorted = (0, exports.sortScripts)(scripts);
        return Object.keys(sorted).join("|") === Object.keys(scripts).join("|");
    },
    fix: (scripts) => (0, exports.sortScripts)(scripts),
};
