"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mandatoryScriptFactory_1 = __importDefault(require("./mandatoryScriptFactory"));
const noShellSpecificsFactory_1 = __importDefault(require("./noShellSpecificsFactory"));
const no_default_test_1 = __importDefault(require("./no-default-test"));
const correct_casing_1 = __importDefault(require("./correct-casing"));
const no_aliases_1 = __importDefault(require("./no-aliases"));
const prepost_trigger_defined_1 = __importDefault(require("./prepost-trigger-defined"));
const uses_allowed_namespace_1 = __importDefault(require("./uses-allowed-namespace"));
const alphabetic_order_1 = __importDefault(require("./alphabetic-order"));
const rules = [
    (0, mandatoryScriptFactory_1.default)("test"),
    (0, mandatoryScriptFactory_1.default)("start"),
    (0, mandatoryScriptFactory_1.default)("dev"),
    no_default_test_1.default,
    correct_casing_1.default,
    no_aliases_1.default,
    uses_allowed_namespace_1.default,
    prepost_trigger_defined_1.default,
    alphabetic_order_1.default,
    (0, noShellSpecificsFactory_1.default)(/rm /, "rm -rf", "rimraf"),
    (0, noShellSpecificsFactory_1.default)(/ && /, "unix double ampersand (&&)", "npm-run-all/run-s"),
    (0, noShellSpecificsFactory_1.default)(/ & /, "unix single ampersand (&)", "npm-run-all/run-p"),
];
exports.default = rules;
