"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
exports.default = (regex, name, alternative) => {
    const slug = (0, utils_1.slugify)(name);
    return {
        name: `no-${slug}`,
        isObjectRule: false,
        message: `Use of ${name} in script '{{name}}' is not allowed, consider using ${alternative}`,
        validate: (_, script) => {
            return !regex.test(script);
        },
    };
};
