"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
const validate = (key) => constants_1.NAMESPACES.some((n) => key === n) ||
    constants_1.NAMESPACES.some((n) => key.startsWith(`${n}:`)) ||
    constants_1.DEFAULT_NPM_HOOKS.includes(key) ||
    (key.startsWith("pre") && validate(key.slice(3))) ||
    (key.startsWith("post") && validate(key.slice(4)));
exports.default = {
    name: "uses-allowed-namespace",
    isObjectRule: false,
    message: 'script name "{{name}}" should start with one of the allowed namespaces',
    validate,
    fix: (key, value) => [`other:${key}`, value],
};
